# Generated from session_keys-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name session_keys

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Summary: SessionKeys generates deterministic user IDs and NaCl encryption/signing keypairs from an identifier, such as a username or email address, a password, and a strength value
License: MIT
URL: https://github.com/grempe/session-keys-rb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(coveralls) >= 0.8.23
# BuildRequires: rubygem(coveralls) < 0.9
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(pry) >= 0.12
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(wwtd) >= 1.4
# BuildRequires: rubygem(wwtd) < 2
BuildArch: noarch

%description
SessionKeys is a cryptographic tool for the deterministic generation of
NaCl compatible Curve25519 encryption and Ed25519 digital signature keys.
The strength of the system is rooted in the fact that the keypairs are derived
from
passing an identifier, such as a username or email address, and a high-entropy
passphrase through the SHA256 one-way hash and the scrypt key derivation
functions. This means that no private key material need ever be writter to
disk or transmitted. The generated keys are deterministic; for any given ID,
password, and strength combination the same keys will always be returned.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.coco.yml
%{gem_instdir}/.codeclimate.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/certs
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/RELEASE.md
%{gem_instdir}/Rakefile
%{gem_instdir}/session_keys.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 2.0.0-1
- Initial package
